Create Consignment
Adds a new Consignment to Checkout.
Perform the following two steps to define the fulfillment of the items in the cart.
For shipping consignments:
-
Add a new Consignment to Checkout.
-
Send a
POSTrequest to/consignmentswith each shipping address, line item IDs, and quantities. Each address can have its own line item IDs. -
Provide a full valid customer address before placing the order. If provided, the order placement will succeed.
-
As part of the request URL make sure to add
include=consignments.availableShippingOptionsto return the available shipping options based on the items, the address, and the shipping location. This will returnavailableShippingOptionsin the response. -
Required Fields:
shipping_address(deprecated) oraddresslineItems
-
-
Update the Consignment with Shipping Options using the REST Storefront API, the REST Management API or the GraphQL Storefront API.
For pickup consignments:
Create a new consignment object.
- Send a
POSTrequest to/consignmentswith line item IDs and quantities. - Provide a
pickupMethodId. This is theidof the Pickup Method provided in the response body of the Storefront Pickup Options API. - Required Fields:
pickupOptionlineItems
To learn more about creating a Checkout Consignment, see the Carts and Checkouts Tutorial.
Notes
- Substitute your storefront domain for
yourstore.example.com.- The Send a Test Request feature is not currently supported for this endpoint.
- Please note that this API endpoint is not concurrent safe, meaning multiple simultaneous requests could result in unexpected and inconsistent results.
- This endpoint runs in the context of an active storefront session and works on any live BigCommerce-hosted storefront, not only in a local environment. It uses same-origin CORS authentication, and write requests require a CSRF token. Stencil CLI can provide a session and CSRF token for local theme development.
Path parameters
Headers
The MIME type of the response body.
Query parameters
cart.lineItems.physicalItems.options- physical optionscart.lineItems.digitalItems.options- digital optionscart.lineItems.physicalItems.categoryNames- physical categoriescart.lineItems.digitalItems.categoryNames- digital categoriescart.lineItems.customItems.categoryNames- custom categoriescart.lineItems.physicalItems.stockPosition- backorder and stock availability for physical itemscart.lineItems.digitalItems.stockPosition- backorder and stock availability for digital items (backorder values are always zero since digital products cannot be backordered)customer- customercustomer.customerGroup- customer grouppayments- paymentspromotions- promotionsconsignments.availableShippingOptions- shipping optionsconsignments.availablePickupOptions- pickup options
Request
The cart version that you expect to apply the updates. If the provided version doesn’t match the current cart version, you will receive a conflict error. This field is optional; if not provided, optimistic concurrency control will not apply.
Response
A cart contains a collection of items, prices, discounts, etc. It does not contain customer-related data.
Shopperʼs message provided as details for the order to be created from this cart
Applied gift certificate (as a payment method).
true value indicates StoreCredit has been applied.
grandTotal subtract the store-credit amount
Subtotal of the checkout before applying item-level discounts. Tax inclusive based on the store settings.